/* Utils.c generated by valac 0.56.13, the Vala compiler
 * generated from Utils.vala, do not modify */

/*-
 * Copyright (c) 2013-2019 elementary, Inc. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.

 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.

 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Authored by: Tom Beckmann <tomjonabc@gmail.com>
 */

#include <glib.h>
#include <gio/gio.h>
#include <stdlib.h>
#include <string.h>
#include <gst/pbutils/pbutils.h>
#include <gst/gst.h>
#include <glib/gstdio.h>

#define AUDIENCE_DISCOVERER_TIMEOUT 5
#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

typedef void (*AudienceFuncOverDir) (GFile* file_under_dir, gpointer user_data);
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

VALA_EXTERN void audience_recurse_over_dir (GFile* file_to_process,
                                AudienceFuncOverDir func,
                                gpointer func_target);
VALA_EXTERN gchar* audience_get_title (const gchar* filename);
VALA_EXTERN gchar* audience_get_basename (const gchar* filename);
VALA_EXTERN GstDiscovererInfo* audience_get_discoverer_info (const gchar* uri);
VALA_EXTERN gboolean audience_is_sandboxed (void);

void
audience_recurse_over_dir (GFile* file_to_process,
                           AudienceFuncOverDir func,
                           gpointer func_target)
{
	GError* _inner_error0_ = NULL;
#line 24 "../src/Utils.vala"
	g_return_if_fail (file_to_process != NULL);
#line 25 "../src/Utils.vala"
	if (g_file_query_file_type (file_to_process, 0, NULL) == G_FILE_TYPE_DIRECTORY) {
#line 67 "Utils.c"
		{
			GFileEnumerator* files = NULL;
			GFileEnumerator* _tmp0_;
			GFileInfo* info = NULL;
#line 27 "../src/Utils.vala"
			_tmp0_ = g_file_enumerate_children (file_to_process, G_FILE_ATTRIBUTE_STANDARD_NAME "," G_FILE_ATTRIBUTE_ACCESS_CAN_READ, G_FILE_QUERY_INFO_NONE, NULL, &_inner_error0_);
#line 27 "../src/Utils.vala"
			files = _tmp0_;
#line 27 "../src/Utils.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 78 "Utils.c"
				goto __catch0_g_error;
			}
#line 29 "../src/Utils.vala"
			while (TRUE) {
#line 83 "Utils.c"
				GFileInfo* _tmp1_ = NULL;
				GFileEnumerator* _tmp2_;
				GFileInfo* _tmp3_;
				GFileInfo* _tmp4_;
				GFileInfo* _tmp5_;
				GFile* file = NULL;
				gchar* _tmp6_;
				gchar* _tmp7_;
				gchar* _tmp8_;
				gchar* _tmp9_;
				GFileInfo* _tmp10_;
				const gchar* _tmp11_;
				gchar* _tmp12_;
				gchar* _tmp13_;
				GFile* _tmp14_;
				GFile* _tmp15_;
				GFile* _tmp16_;
#line 29 "../src/Utils.vala"
				_tmp2_ = files;
#line 29 "../src/Utils.vala"
				_tmp3_ = g_file_enumerator_next_file (_tmp2_, NULL, &_inner_error0_);
#line 29 "../src/Utils.vala"
				_tmp1_ = _tmp3_;
#line 29 "../src/Utils.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 29 "../src/Utils.vala"
					_g_object_unref0 (info);
#line 29 "../src/Utils.vala"
					_g_object_unref0 (files);
#line 113 "Utils.c"
					goto __catch0_g_error;
				}
#line 29 "../src/Utils.vala"
				_tmp4_ = _tmp1_;
#line 29 "../src/Utils.vala"
				_tmp1_ = NULL;
#line 29 "../src/Utils.vala"
				_g_object_unref0 (info);
#line 29 "../src/Utils.vala"
				info = _tmp4_;
#line 29 "../src/Utils.vala"
				_tmp5_ = info;
#line 29 "../src/Utils.vala"
				if (!(_tmp5_ != NULL)) {
#line 29 "../src/Utils.vala"
					_g_object_unref0 (_tmp1_);
#line 29 "../src/Utils.vala"
					break;
#line 132 "Utils.c"
				}
#line 30 "../src/Utils.vala"
				_tmp6_ = g_file_get_uri (file_to_process);
#line 30 "../src/Utils.vala"
				_tmp7_ = _tmp6_;
#line 30 "../src/Utils.vala"
				_tmp8_ = g_strconcat (_tmp7_, "/", NULL);
#line 30 "../src/Utils.vala"
				_tmp9_ = _tmp8_;
#line 30 "../src/Utils.vala"
				_tmp10_ = info;
#line 30 "../src/Utils.vala"
				_tmp11_ = g_file_info_get_name (_tmp10_);
#line 30 "../src/Utils.vala"
				_tmp12_ = g_strconcat (_tmp9_, _tmp11_, NULL);
#line 30 "../src/Utils.vala"
				_tmp13_ = _tmp12_;
#line 30 "../src/Utils.vala"
				_tmp14_ = g_file_new_for_uri (_tmp13_);
#line 30 "../src/Utils.vala"
				_tmp15_ = _tmp14_;
#line 30 "../src/Utils.vala"
				_g_free0 (_tmp13_);
#line 30 "../src/Utils.vala"
				_g_free0 (_tmp9_);
#line 30 "../src/Utils.vala"
				_g_free0 (_tmp7_);
#line 30 "../src/Utils.vala"
				file = _tmp15_;
#line 31 "../src/Utils.vala"
				_tmp16_ = file;
#line 31 "../src/Utils.vala"
				audience_recurse_over_dir (_tmp16_, func, func_target);
#line 29 "../src/Utils.vala"
				_g_object_unref0 (file);
#line 29 "../src/Utils.vala"
				_g_object_unref0 (_tmp1_);
#line 170 "Utils.c"
			}
#line 26 "../src/Utils.vala"
			_g_object_unref0 (info);
#line 26 "../src/Utils.vala"
			_g_object_unref0 (files);
#line 176 "Utils.c"
		}
		goto __finally0;
		__catch0_g_error:
		{
			GError* e = NULL;
			GError* _tmp17_;
			const gchar* _tmp18_;
#line 26 "../src/Utils.vala"
			e = _inner_error0_;
#line 26 "../src/Utils.vala"
			_inner_error0_ = NULL;
#line 34 "../src/Utils.vala"
			_tmp17_ = e;
#line 34 "../src/Utils.vala"
			_tmp18_ = _tmp17_->message;
#line 34 "../src/Utils.vala"
			g_critical ("Utils.vala:34: %s", _tmp18_);
#line 26 "../src/Utils.vala"
			_g_error_free0 (e);
#line 196 "Utils.c"
		}
		__finally0:
#line 26 "../src/Utils.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 26 "../src/Utils.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 26 "../src/Utils.vala"
			g_clear_error (&_inner_error0_);
#line 26 "../src/Utils.vala"
			return;
#line 207 "Utils.c"
		}
	} else {
#line 37 "../src/Utils.vala"
		func (file_to_process, func_target);
#line 212 "Utils.c"
	}
}

static gchar*
string_replace (const gchar* self,
                const gchar* old,
                const gchar* replacement)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GError* _inner_error0_ = NULL;
	gchar* result;
#line 1542 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1542 "glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1542 "glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1543 "glib-2.0.vapi"
	if ((*((gchar*) self)) == '\0') {
#line 1543 "glib-2.0.vapi"
		_tmp1_ = TRUE;
#line 235 "Utils.c"
	} else {
#line 1543 "glib-2.0.vapi"
		_tmp1_ = (*((gchar*) old)) == '\0';
#line 239 "Utils.c"
	}
#line 1543 "glib-2.0.vapi"
	if (_tmp1_) {
#line 1543 "glib-2.0.vapi"
		_tmp0_ = TRUE;
#line 245 "Utils.c"
	} else {
#line 1543 "glib-2.0.vapi"
		_tmp0_ = g_strcmp0 (old, replacement) == 0;
#line 249 "Utils.c"
	}
#line 1543 "glib-2.0.vapi"
	if (_tmp0_) {
#line 253 "Utils.c"
		gchar* _tmp2_;
#line 1544 "glib-2.0.vapi"
		_tmp2_ = g_strdup (self);
#line 1544 "glib-2.0.vapi"
		result = _tmp2_;
#line 1544 "glib-2.0.vapi"
		return result;
#line 261 "Utils.c"
	}
	{
		GRegex* regex = NULL;
		gchar* _tmp3_;
		gchar* _tmp4_;
		GRegex* _tmp5_;
		GRegex* _tmp6_;
		gchar* _tmp7_ = NULL;
		GRegex* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
#line 1547 "glib-2.0.vapi"
		_tmp3_ = g_regex_escape_string (old, -1);
#line 1547 "glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1547 "glib-2.0.vapi"
		_tmp5_ = g_regex_new (_tmp4_, 0, 0, &_inner_error0_);
#line 1547 "glib-2.0.vapi"
		_tmp6_ = _tmp5_;
#line 1547 "glib-2.0.vapi"
		_g_free0 (_tmp4_);
#line 1547 "glib-2.0.vapi"
		regex = _tmp6_;
#line 1547 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1547 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 289 "Utils.c"
				goto __catch0_g_regex_error;
			}
#line 1547 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1547 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1547 "glib-2.0.vapi"
			return NULL;
#line 298 "Utils.c"
		}
#line 1548 "glib-2.0.vapi"
		_tmp8_ = regex;
#line 1548 "glib-2.0.vapi"
		_tmp9_ = g_regex_replace_literal (_tmp8_, self, (gssize) -1, 0, replacement, 0, &_inner_error0_);
#line 1548 "glib-2.0.vapi"
		_tmp7_ = _tmp9_;
#line 1548 "glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1548 "glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1548 "glib-2.0.vapi"
			if (_inner_error0_->domain == G_REGEX_ERROR) {
#line 312 "Utils.c"
				goto __catch0_g_regex_error;
			}
#line 1548 "glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1548 "glib-2.0.vapi"
			g_clear_error (&_inner_error0_);
#line 1548 "glib-2.0.vapi"
			return NULL;
#line 321 "Utils.c"
		}
#line 1548 "glib-2.0.vapi"
		_tmp10_ = _tmp7_;
#line 1548 "glib-2.0.vapi"
		_tmp7_ = NULL;
#line 1548 "glib-2.0.vapi"
		result = _tmp10_;
#line 1548 "glib-2.0.vapi"
		_g_free0 (_tmp7_);
#line 1548 "glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1548 "glib-2.0.vapi"
		return result;
#line 335 "Utils.c"
	}
	goto __finally0;
	__catch0_g_regex_error:
	{
#line 1546 "glib-2.0.vapi"
		g_clear_error (&_inner_error0_);
#line 1550 "glib-2.0.vapi"
		g_assert_not_reached ();
#line 344 "Utils.c"
	}
	__finally0:
#line 1546 "glib-2.0.vapi"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 1546 "glib-2.0.vapi"
	g_clear_error (&_inner_error0_);
#line 1546 "glib-2.0.vapi"
	return NULL;
#line 353 "Utils.c"
}

gchar*
audience_get_title (const gchar* filename)
{
	gchar* title = NULL;
	gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	gchar* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	gchar* result;
#line 40 "../src/Utils.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 41 "../src/Utils.vala"
	_tmp0_ = audience_get_basename (filename);
#line 41 "../src/Utils.vala"
	title = _tmp0_;
#line 42 "../src/Utils.vala"
	_tmp1_ = title;
#line 42 "../src/Utils.vala"
	_tmp2_ = g_uri_unescape_string (_tmp1_, NULL);
#line 42 "../src/Utils.vala"
	_g_free0 (title);
#line 42 "../src/Utils.vala"
	title = _tmp2_;
#line 43 "../src/Utils.vala"
	_tmp3_ = title;
#line 43 "../src/Utils.vala"
	_tmp4_ = string_replace (_tmp3_, "_", " ");
#line 43 "../src/Utils.vala"
	_tmp5_ = _tmp4_;
#line 43 "../src/Utils.vala"
	_tmp6_ = string_replace (_tmp5_, ".", " ");
#line 43 "../src/Utils.vala"
	_tmp7_ = _tmp6_;
#line 43 "../src/Utils.vala"
	_tmp8_ = string_replace (_tmp7_, "  ", " ");
#line 43 "../src/Utils.vala"
	_g_free0 (title);
#line 43 "../src/Utils.vala"
	title = _tmp8_;
#line 43 "../src/Utils.vala"
	_g_free0 (_tmp7_);
#line 43 "../src/Utils.vala"
	_g_free0 (_tmp5_);
#line 45 "../src/Utils.vala"
	result = title;
#line 45 "../src/Utils.vala"
	return result;
#line 408 "Utils.c"
}

static gint
string_last_index_of (const gchar* self,
                      const gchar* needle,
                      gint start_index)
{
	gchar* _result_ = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	gint result;
#line 1151 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, 0);
#line 1151 "glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, 0);
#line 1152 "glib-2.0.vapi"
	_tmp0_ = g_strrstr (((gchar*) self) + start_index, (gchar*) needle);
#line 1152 "glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1154 "glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1154 "glib-2.0.vapi"
	if (_tmp1_ != NULL) {
#line 432 "Utils.c"
		gchar* _tmp2_;
#line 1155 "glib-2.0.vapi"
		_tmp2_ = _result_;
#line 1155 "glib-2.0.vapi"
		result = (gint) (_tmp2_ - ((gchar*) self));
#line 1155 "glib-2.0.vapi"
		return result;
#line 440 "Utils.c"
	} else {
#line 1157 "glib-2.0.vapi"
		result = -1;
#line 1157 "glib-2.0.vapi"
		return result;
#line 446 "Utils.c"
	}
}

static gchar*
string_slice (const gchar* self,
              glong start,
              glong end)
{
	glong string_length = 0L;
	gint _tmp0_;
	gint _tmp1_;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gchar* _tmp4_;
	gchar* result;
#line 1488 "glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1489 "glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1489 "glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1489 "glib-2.0.vapi"
	string_length = (glong) _tmp1_;
#line 1490 "glib-2.0.vapi"
	if (start < ((glong) 0)) {
#line 1491 "glib-2.0.vapi"
		start = string_length + start;
#line 474 "Utils.c"
	}
#line 1493 "glib-2.0.vapi"
	if (end < ((glong) 0)) {
#line 1494 "glib-2.0.vapi"
		end = string_length + end;
#line 480 "Utils.c"
	}
#line 1496 "glib-2.0.vapi"
	if (start >= ((glong) 0)) {
#line 1496 "glib-2.0.vapi"
		_tmp2_ = start <= string_length;
#line 486 "Utils.c"
	} else {
#line 1496 "glib-2.0.vapi"
		_tmp2_ = FALSE;
#line 490 "Utils.c"
	}
#line 1496 "glib-2.0.vapi"
	g_return_val_if_fail (_tmp2_, NULL);
#line 1497 "glib-2.0.vapi"
	if (end >= ((glong) 0)) {
#line 1497 "glib-2.0.vapi"
		_tmp3_ = end <= string_length;
#line 498 "Utils.c"
	} else {
#line 1497 "glib-2.0.vapi"
		_tmp3_ = FALSE;
#line 502 "Utils.c"
	}
#line 1497 "glib-2.0.vapi"
	g_return_val_if_fail (_tmp3_, NULL);
#line 1498 "glib-2.0.vapi"
	g_return_val_if_fail (start <= end, NULL);
#line 1499 "glib-2.0.vapi"
	_tmp4_ = g_strndup (((gchar*) self) + start, (gsize) (end - start));
#line 1499 "glib-2.0.vapi"
	result = _tmp4_;
#line 1499 "glib-2.0.vapi"
	return result;
#line 514 "Utils.c"
}

gchar*
audience_get_basename (const gchar* filename)
{
	gchar* basename = NULL;
	gchar* _tmp0_;
	gint index_of_last_dot = 0;
	const gchar* _tmp1_;
	gchar* _tmp2_ = NULL;
	gchar* launcher_base = NULL;
	gchar* _tmp7_;
	gchar* result;
#line 48 "../src/Utils.vala"
	g_return_val_if_fail (filename != NULL, NULL);
#line 49 "../src/Utils.vala"
	_tmp0_ = g_path_get_basename (filename);
#line 49 "../src/Utils.vala"
	basename = _tmp0_;
#line 51 "../src/Utils.vala"
	_tmp1_ = basename;
#line 51 "../src/Utils.vala"
	index_of_last_dot = string_last_index_of (_tmp1_, ".", 0);
#line 52 "../src/Utils.vala"
	if (index_of_last_dot >= 0) {
#line 540 "Utils.c"
		const gchar* _tmp3_;
		gchar* _tmp4_;
#line 52 "../src/Utils.vala"
		_tmp3_ = basename;
#line 52 "../src/Utils.vala"
		_tmp4_ = string_slice (_tmp3_, (glong) 0, (glong) index_of_last_dot);
#line 52 "../src/Utils.vala"
		_g_free0 (_tmp2_);
#line 52 "../src/Utils.vala"
		_tmp2_ = _tmp4_;
#line 551 "Utils.c"
	} else {
		const gchar* _tmp5_;
		gchar* _tmp6_;
#line 52 "../src/Utils.vala"
		_tmp5_ = basename;
#line 52 "../src/Utils.vala"
		_tmp6_ = g_strdup (_tmp5_);
#line 52 "../src/Utils.vala"
		_g_free0 (_tmp2_);
#line 52 "../src/Utils.vala"
		_tmp2_ = _tmp6_;
#line 563 "Utils.c"
	}
#line 52 "../src/Utils.vala"
	_tmp7_ = g_strdup (_tmp2_);
#line 52 "../src/Utils.vala"
	launcher_base = _tmp7_;
#line 54 "../src/Utils.vala"
	result = launcher_base;
#line 54 "../src/Utils.vala"
	_g_free0 (_tmp2_);
#line 54 "../src/Utils.vala"
	_g_free0 (basename);
#line 54 "../src/Utils.vala"
	return result;
#line 577 "Utils.c"
}

GstDiscovererInfo*
audience_get_discoverer_info (const gchar* uri)
{
	GstDiscoverer* discoverer = NULL;
	GstDiscovererInfo* discoverer_info = NULL;
	GError* _inner_error0_ = NULL;
	GstDiscovererInfo* result;
#line 57 "../src/Utils.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 58 "../src/Utils.vala"
	discoverer = NULL;
#line 591 "Utils.c"
	{
		GstDiscoverer* _tmp0_ = NULL;
		GstDiscoverer* _tmp1_;
		GstDiscoverer* _tmp2_;
#line 60 "../src/Utils.vala"
		_tmp1_ = gst_discoverer_new ((GstClockTime) (AUDIENCE_DISCOVERER_TIMEOUT * GST_SECOND), &_inner_error0_);
#line 60 "../src/Utils.vala"
		_tmp0_ = _tmp1_;
#line 60 "../src/Utils.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 602 "Utils.c"
			goto __catch0_g_error;
		}
#line 60 "../src/Utils.vala"
		_tmp2_ = _tmp0_;
#line 60 "../src/Utils.vala"
		_tmp0_ = NULL;
#line 60 "../src/Utils.vala"
		_g_object_unref0 (discoverer);
#line 60 "../src/Utils.vala"
		discoverer = _tmp2_;
#line 59 "../src/Utils.vala"
		_g_object_unref0 (_tmp0_);
#line 615 "Utils.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp3_;
		const gchar* _tmp4_;
#line 59 "../src/Utils.vala"
		e = _inner_error0_;
#line 59 "../src/Utils.vala"
		_inner_error0_ = NULL;
#line 62 "../src/Utils.vala"
		_tmp3_ = e;
#line 62 "../src/Utils.vala"
		_tmp4_ = _tmp3_->message;
#line 62 "../src/Utils.vala"
		g_debug ("Utils.vala:62: Could not create Gst discoverer object: %s", _tmp4_);
#line 59 "../src/Utils.vala"
		_g_error_free0 (e);
#line 635 "Utils.c"
	}
	__finally0:
#line 59 "../src/Utils.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 59 "../src/Utils.vala"
		_g_object_unref0 (discoverer);
#line 59 "../src/Utils.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 59 "../src/Utils.vala"
		g_clear_error (&_inner_error0_);
#line 59 "../src/Utils.vala"
		return NULL;
#line 648 "Utils.c"
	}
#line 65 "../src/Utils.vala"
	discoverer_info = NULL;
#line 652 "Utils.c"
	{
		GstDiscovererInfo* _tmp5_ = NULL;
		GstDiscoverer* _tmp6_;
		GstDiscovererInfo* _tmp7_;
		GstDiscovererInfo* _tmp8_;
#line 67 "../src/Utils.vala"
		_tmp6_ = discoverer;
#line 67 "../src/Utils.vala"
		_tmp7_ = gst_discoverer_discover_uri (_tmp6_, uri, &_inner_error0_);
#line 67 "../src/Utils.vala"
		_tmp5_ = _tmp7_;
#line 67 "../src/Utils.vala"
		if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 666 "Utils.c"
			goto __catch1_g_error;
		}
#line 67 "../src/Utils.vala"
		_tmp8_ = _tmp5_;
#line 67 "../src/Utils.vala"
		_tmp5_ = NULL;
#line 67 "../src/Utils.vala"
		_g_object_unref0 (discoverer_info);
#line 67 "../src/Utils.vala"
		discoverer_info = _tmp8_;
#line 66 "../src/Utils.vala"
		_g_object_unref0 (_tmp5_);
#line 679 "Utils.c"
	}
	goto __finally1;
	__catch1_g_error:
	{
		GError* e = NULL;
		GError* _tmp9_;
		GError* _tmp10_;
		const gchar* _tmp11_;
#line 66 "../src/Utils.vala"
		e = _inner_error0_;
#line 66 "../src/Utils.vala"
		_inner_error0_ = NULL;
#line 69 "../src/Utils.vala"
		_tmp9_ = e;
#line 69 "../src/Utils.vala"
		_tmp10_ = e;
#line 69 "../src/Utils.vala"
		_tmp11_ = _tmp10_->message;
#line 69 "../src/Utils.vala"
		g_debug ("Utils.vala:69: Discoverer Error %d: %s\n", _tmp9_->code, _tmp11_);
#line 66 "../src/Utils.vala"
		_g_error_free0 (e);
#line 702 "Utils.c"
	}
	__finally1:
#line 66 "../src/Utils.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 66 "../src/Utils.vala"
		_g_object_unref0 (discoverer_info);
#line 66 "../src/Utils.vala"
		_g_object_unref0 (discoverer);
#line 66 "../src/Utils.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 66 "../src/Utils.vala"
		g_clear_error (&_inner_error0_);
#line 66 "../src/Utils.vala"
		return NULL;
#line 717 "Utils.c"
	}
#line 72 "../src/Utils.vala"
	result = discoverer_info;
#line 72 "../src/Utils.vala"
	_g_object_unref0 (discoverer);
#line 72 "../src/Utils.vala"
	return result;
#line 725 "Utils.c"
}

gboolean
audience_is_sandboxed (void)
{
	gboolean result;
#line 76 "../src/Utils.vala"
	result = g_file_test ("/.flatpak-info", G_FILE_TEST_EXISTS);
#line 76 "../src/Utils.vala"
	return result;
#line 736 "Utils.c"
}

